from ui.qt4.controllers import Dialog
from ui.qt4.views import View

class MaemoAboutView(View):
    def __init__(self, controller):
        from PySide.QtGui import QLabel
        from PySide.QtGui import QVBoxLayout
        super(MaemoAboutView, self).__init__(controller)
        self.author_label = QLabel(u"By Alex Goodwin <a href='http://tunetrack.net/go1dfish/'>tunetrack.net/go1dfish</a>")

        self.main_layout = QVBoxLayout(self)
        self.main_layout.addWidget(self.author_label)


class MaemoAboutDialog(Dialog):
    view_class = MaemoAboutView

    def __init__(self, app, *args, **kwargs):
        super(MaemoAboutDialog, self).__init__(app, *args)
        self.setWindowTitle(u'About PyFret for Maemo')
        self.view = self.view_class(self)
        self.render(self.view)
