import logging
from ui.qt4.controllers.fretboard_window import FretboardWindow
from ui.maemoqt4.views.fretboard import MaemoFretboardView

class MaemoFretboardWindow(FretboardWindow):
    view_class = MaemoFretboardView

    def init_menus(self):
        self.menuBar().addAction(self.app.ui_actions['select_scale'])
        self.menuBar().addAction(self.app.ui_actions['select_chord'])
        self.menuBar().addAction(self.app.ui_actions['select_fretboard'])
        self.menuBar().addAction(self.app.ui_actions['show_about_dialog'])

    def display_interval_list(self, *args, **kwargs):
        super(MaemoFretboardWindow, self).display_interval_list(*args, **kwargs)
        self.setWindowTitle(u'%s - PyFret' % self.cur_interval_list)
        self.view.draw_tab_widget.setCurrentIndex(0)

